Package com.collabnet.ce.soap60.webservices.scm

# Class CommitSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
com.collabnet.ce.soap60.webservices.scm.CommitSoapDO

public class CommitSoapDO extends ItemSoapDO
This class represents the data associated with an SCM commit operation.

Since:
  4.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FILTER_CREATED_AFTER`
  Scm commit created date filter.
  `static final String`
  `FILTER_CREATED_BEFORE`
  Scm commit created date filter.
  `static final String`
  `FILTER_CREATED_BY`
  Scm commit 'createdBy' filter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommitSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCommitMessage()`
  Returns 'commitMessage'.
  `String`
  `getCreatedByFullname()`
  Returns 'createdByFullname'.
  `ScmFileSoapList`
  `getFiles()`
  Returns 'files'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setCommitMessage(String commitMessage)`
  Sets 'commitMessage'.
  `void`
  `setCreatedByFullname(String createdByFullname)`
  Sets 'createdByFullname'.
  `void`
  `setFiles(ScmFileSoapList files)`
  Sets 'files'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FILTER_CREATED_AFTER

    public static final String FILTER_CREATED_AFTER
    Scm commit created date filter.
    See Also:
      - Constant Field Values

  - ### FILTER_CREATED_BEFORE

    public static final String FILTER_CREATED_BEFORE
    Scm commit created date filter.
    See Also:
      - Constant Field Values

  - ### FILTER_CREATED_BY

    public static final String FILTER_CREATED_BY
    Scm commit 'createdBy' filter.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CommitSoapDO

    public CommitSoapDO()

- ## Method Details

  - ### getCommitMessage

    public String getCommitMessage()
    Returns 'commitMessage'. The message provided by the user when creating the commit
    Returns:
      Value of 'commitMessage'.

  - ### setCommitMessage

    public void setCommitMessage(String commitMessage)
    Sets 'commitMessage'. The message provided by the user when creating the commit
    Parameters:
      `commitMessage` - Value of 'commitMessage'.

  - ### getCreatedByFullname

    public String getCreatedByFullname()
    Returns 'createdByFullname'. The full name of the user who created the commit
    Returns:
      Value of 'createdByFullname'.

  - ### setCreatedByFullname

    public void setCreatedByFullname(String createdByFullname)
    Sets 'createdByFullname'. The full name of the user who created the commit
    Parameters:
      `createdByFullname` - Value of 'createdByFullname'.

  - ### getFiles

    public ScmFileSoapList getFiles()
    Returns 'files'. The files affected by this commit
    Returns:
      Value of 'files'.

  - ### setFiles

    public void setFiles(ScmFileSoapList files)
    Sets 'files'. The files affected by this commit
    Parameters:
      `files` - Value of 'files'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)